# Awesome Community Contributions

Community members have been coding incredible peer-ro-pper applications and solutions using Fluence and Aqua as part of a variety of hackathons and other initiatives. If you want your project added, please open a PR.

*Please note that unless otherwise indicated, community projects are not maintained by Fluence and may be outdated.*

## Adaptors And Integrations

* [Aqua-Eth](https://github.com/ben-razor/aqua-eth) is a Fluence and Aqua wrapper around [ethers.js](https://docs.ethers.io), a web3 sdk, and [MetaMask](https://metamask.io/), a crypto wallet, for use with Aqua. Checkout the [demo](https://eth-remote.web.app/) and [video](https://www.youtube.com/watch?v=PjqgG5DueWY).
  * Uses Fluence JS 

* [Web3](https://github.com/ntrotner/web3-exposed-to-fluence) is a Fluence and Aqua wrapper around [web3js](https://github.com/ChainSafe/web3.js), the "original" Ethereum SDK, for use with Aqua. See[documentation](https://github.com/ntrotner/web3-exposed-to-fluence/tree/main/src/aqua/doc) for detailed documentation and [tests](https://github.com/ntrotner/web3-exposed-to-fluence/tree/main/tests) for examples.
  * Uses Fluence JS

* [Ethereum and Elasticsearch](https://github.com/Joera/gitcoin11-fluence) is a project aiming to use Wasm for a variety of uses in Web3 ecosystem using Fluence and Aqua possibly in response to DAO directives. THe project is WIP but chockfull of great examples on how to use Fluence and Aqua in a larger Web3 project.
  * Uses Marine Wasm

* [Fluence Tronweb](https://github.com/visdauas/fluence-tronweb) is a wrapper around [TronWeb](https://github.com/tronprotocol/tronweb) -- a Javascript library for the [Tron network](https://tron.network/). Not only a great way to use Aqua to interact with all things Tron but laos a great starting point to build your own SDK wrapper.
  * Uses Fluence JS
  
## NFTs With Fluence And Aqua

* [BazaarEx](https://github.com/tejas-kothari/BazaarEx) is an online marketplac for second-hand electronic goods with an emphasis of decentralized logistics and using NFTs. Check out their excellent [documentation](https://xpact.gitbook.io/bazaarex/).
  
## Verifiable Credentials And Decentralized Identities With Fluence And Aqua

* Ceramic's [IdentityLink](https://developers.ceramic.network/tools/identitylink/overview/) is a service that issues verifiable claims which prove that a decentralized identity (DID) owns one or more (Web2) social accounts
  * The [IdentityLink API Aqua](https://github.com/synycboom/identity-link-api-aqua) project implements Ceramic's IdentityLink API as a peer-to-peer protocol to help users associate their social accounts to Decentralized Identifiers (DID) with Aqua.
    * Uses Fluence JS, Marine Wasm, Ceramic

* Ceramic's [Self.ID](https://developers.ceramic.network/tools/self-id/overview/) allows developers to implement authentication processes with Ceramic and associated decentralized solutions.
  * The [SelfId-Auth](https://github.com/fsy412/SelfId-Auth-Fluence) project uses Fluence and Aqua to manage a permission "Whitelist" for Fluence services
    * Uses Fluence JS, Marine Wasm, Ceramic
  * The [SharedDoc](https://github.com/Hazarre/SharedDoc/blob/main/README.md) project uses Self.ID to manage permissioning for shared documents
    * Uses Fluence JS, Marine Wasm, Ceramic

## Fluence And Aqua Tooling

* The [Aqua Playground](https://github.com/ben-razor/aqua-explore) provides a browser-based IDE and runtime framework for Aqua scripts and Fluence JS. See the [demo app](https://aqua-explore.web.app/).
  * Uses Fluence JS
